public class DiceGame
{	private Die[] dice;
	
	public DiceGame(int sides, int nDice, int rolls)
	{	dice = new Die[nDice];
		for(int i = 0; i < nDice; i++)
		{	dice[i] = new Die(sides);	
		}
		for(int i = 0; i < rolls; i++)
		{	System.out.print("Roll " + (i + 1) + 
			") Sum: " + sum() +
			" Average: " + average() +
			" Values: ");
			for(int j = 0; j < nDice; j++)
			{	System.out.print(dice[j].top() + " ");
			}
			System.out.println();
			rollAllDice();
		}
	}

	private void rollAllDice()
	{	for(int i = 0; i < dice.length; i++)
		{	dice[i].roll();
		}
	}
	
	private int sum()
	{	int s = 0;
		for(int i = 0; i < dice.length; i++)
		{	s  += dice[i].top();
		}
		return s;	
	}
	
	private double average()
	{	return  (double)(sum())/dice.length;
	}
	
	public static void main ( String [] args )
	{	int sides = 0;
		int nDice  = 0;
		int rolls = 0;
		try
		{	sides = Integer.parseInt(args[0]);
			nDice  = Integer.parseInt(args[1]);
			rolls = Integer.parseInt(args[2]);
		}
		catch(IndexOutOfBoundsException e)
		{	System.out.print("DiceGame requires 3 parameters ");
			System.out.println("[Number of Sides][Number of Dice][Number of Rolls]");
			System.exit(0);
		}
		if(sides < 1 || nDice < 1 || rolls < 1)
		{	System.out.println("All parameters must be greater than 0");
			System.exit(0);
		}
		DiceGame dG =  new DiceGame(sides, nDice, rolls);
	}
	
}
